OfonoVoiceCall Class Reference

This class is used to access oFono voice call API. More...

`#include <ofonovoicecall.h>`

Inheritance diagram for OfonoVoiceCall:

## Public Slots

void | answer ()
void | hangup ()
void | deflect (const QString &number)

## Signals

void | answerComplete (bool status)
void | hangupComplete (bool status)
void | deflectComplete (bool status)
void | lineIdentificationChanged (const QString &name)
void | nameChanged (const QString &name)
void | stateChanged (const QString &state)
void | startTimeChanged (const QString &time)
void | informationChanged (const QString &mcc)
void | incomingLineChanged (const QString &line)
void | disconnectReason (const QString &reason)
void | multipartyChanged (const bool multiparty)
void | iconChanged (const quint8 &icon)
void | emergencyChanged (const bool emergency)
void | remoteHeldChanged (const bool remoteHeld)
void | remoteMultipartyChanged (const bool remoteMultiparty)

## Public Member Functions

| OfonoVoiceCall (const QString &callId, QObject *parent=0)
| OfonoVoiceCall (const OfonoVoiceCall &op)
OfonoVoiceCall | operator= (const OfonoVoiceCall &op)
bool | operator== (const OfonoVoiceCall &op)
QString | path () const
| Returns the D-Bus object path of the voice call object.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.
QString | lineIdentification () const
QString | incomingLine () const
QString | name () const
QString | state () const
QString | startTime () const
QString | information () const
bool | multiparty () const
bool | emergency () const
quint8 | icon () const
bool | remoteHeld () const
bool | remoteMultiparty () const

## Properties

QString | path
QString | errorName
QString | errorMessage
QString | lineIdentification
QString | incomingLine
QString | name
QString | state
QString | startTime
QString | information
bool | multiparty
bool | emergency
quint8 | icon

## Detailed Description

This class is used to access oFono voice call API.

The API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob;f=doc/voicecall-api.txt

## Member Function Documentation

## errorMessage()

QString OfonoVoiceCall::errorMessage | ( |  | ) | const

Get the D-Bus error message of the last operation.

Returns the D-Bus error message of the last operation (setting a property or calling a method) if it has failed

## errorName()

QString OfonoVoiceCall::errorName | ( |  | ) | const

Get the D-Bus error name of the last operation.

Returns the D-Bus error name of the last operation (setting a property or calling a method) if it has failed

The documentation for this class was generated from the following file:

- lib/ofonovoicecall.h